import pygame


class Surface(pygame.Surface):
    def __init__(self, window_size, resources_dir, game_fps):
        super().__init__(window_size, pygame.SRCALPHA)
        self.name = 'egg_select'
        self.running = True
        self.next_surface = None

        self.bg = pygame.image.load(resources_dir + '/images/bg.png').convert_alpha()
        self.sprites = pygame.sprite.Group()

    def update(self):
        self.blit(self.bg, (0, 0))
        self.sprites.update()
        self.sprites.draw(self)
